<hr>
<h4>Datos técnicos según uso de plano de suelo </h4>
<hr>

<div class="row">

    <form autocomplete="off" [formGroup]="miFormulario">



        <div class="row">
            <div class="row mb-3">
                <div class="col col-3">
                    <label class="form-label">Superficie según título:</label>
                </div>
                <div class="col">
                    <input type="text" class="form-control" formControlName="superficietitulo">
                </div>

                <div class="col">
                    <label class="form-label">Superficio según mensura:</label>
                </div>
                <div class="col">
                    <input type="text" class="form-control" formControlName="superficiemensura">
                </div>
            </div>
        </div>
        <div class="row">
            <div class="row mb-3">
                <div class="col col-3">
                    <label class="form-label">Zona:</label>
                </div>
                <div class="col">
                    <input type="text" class="form-control" formControlName="zona">
                </div>

                <div class="col">
                    <label class="form-label">Distrito:</label>
                </div>
                <div class="col">
                    <input type="text" class="form-control" formControlName="distrito">
                </div>
            </div>

        </div>
        <div class="row">
            <div class="row mb-3">
                <div class="col col-3">
                    <label class="form-label">Manzana:</label>
                </div>
                <div class="col">
                    <input type="text" class="form-control" formControlName="manzana">
                </div>

                <div class="col">
                    <label class="form-label">Lote:</label>
                </div>
                <div class="col">
                    <input type="text" class="form-control" formControlName="lote">
                </div>
            </div>

        </div>

        <div class="row">
            <div class="row mb-3">
                <div class="col col-3">
                    <label class="form-label">Tipo de uso de suelo:</label>
                </div>
                <div class="col">
                    <input type="text" class="form-control" formControlName="tipousosuelo">
                </div>

                <div class="col">
                    <label class="form-label">Características de ubicación del lote:</label>
                </div>
                <div class="col">
                    <div class="col-sm-9">

                        <div class="form-check">
                            <input class="form-check-input" type="radio" (change)="buscarRegla()" value="1" formControlName="ubicacionlote" id="radioMediaCalle">

                            <label class="form-check-label" for="radioMediaCalle"> A mitad de calle
                            </label>
                        </div>


                        <div class="form-check ">
                            <input class="form-check-input" type="radio" (change)="buscarRegla()" value="2" formControlName="ubicacionlote" id="radioEsquina">
                            <label class="form-check-label" for="radioEsquina">En esquina</label>
                        </div>



                        <div class="form-check ">
                            <input class="form-check-input" type="radio" (change)="buscarRegla()" value="3" formControlName="ubicacionlote" id="radioDosCalles">
                            <label class="form-check-label" for="radioDosCalles">A 2 calles</label>
                        </div>

                    </div>
                </div>
            </div>

        </div>



        <!--<div class="row ">
            <div class="row mb-3 ">
                <div class="col col-3 ">
                    <label class="form-label ">Tipo de vía(s):</label>
                </div>
                <div class="col col-6 ">
                    <input type="text" class="form-control" formControlName="tipovia">
                </div>
                -->

        <!--
                <div class="col ">
                    <label class="form-label">Ancho de vía (m):</label>
                </div>
                <div class="col ">-->
        <!--<input type="text" formControlName="anchoVia1" [value]=anchoVia disable>-->
        <!--<input type="text" class="form-control" name="anchoVia1" formControlName="anchoVia1">>
            </div>-->
        <!-->
</div>

</div>-->





<div class="row ">
    <div class="col ">
        <button class="btn btn-primary float-end " (click)="irSiguiente() " type=" button ">Siguiente</button>
        <button class='previous btn btn-success' (click)="irAnterior() " type='button '>Anterior</button>
    </div>
</div>
</form>


<!--<form #frmRegistro="ngForm" (ngSubmit)="registroUsoSuelo(frmRegistro.value)">
        <input type="text" ngModel name="txtNombre" placeholder="Ingrese el nombre">
        <input type="text" ngModel name="txtDireccion" placeholder="Ingrese la direccion">
        <input type="text" ngModel name="txtTelefono" placeholder="Ingrese el telefono">
        <br><br>
        <button>REGISTRAR PROVEEDOR</button>
    </form>-->
</div>



<!--
<div class="row ">
    <div class="col ">

        <span>Valid</span>
        <pre>{{ miFormulario.valid }}</pre>

        <span>Pristine</span>
        <pre>{{ miFormulario.pristine }}</pre>

        <span>Touched</span>
        <pre>{{ miFormulario.touched }}</pre>

        <span>Value</span>
        <pre>{{ miFormulario.value | json }}</pre>



    </div>
</div>
-->